> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# निकासी

> अपने अकाउंट से TRX निकालें

## निकासी बनाएं

<div>
  `POST /api/v1/account/withdrawal`
</div>

किसी भी TRON एड्रेस पर TRX निकालता है। शुल्क: 1 TRX।

### अनुरोध बॉडी

<ParamField body="to_address" type="string" required>
  गंतव्य TRON एड्रेस
</ParamField>

<ParamField body="amount_trx" type="string" required>
  TRX में निकासी राशि
</ParamField>

<ParamField body="totp_code" type="string">
  2FA कोड (यदि 2FA सक्षम है)
</ParamField>

### उदाहरण

```bash theme={null}
curl -X POST https://api.tronrental.com/v1/account/withdrawal \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "to_address": "TDestinationAddress...",
    "amount_trx": "100"
  }'
```

```json Response theme={null}
{
  "id": 56,
  "to_address": "TDestinationAddress...",
  "amount_trx": "100.00",
  "fee_trx": "1.00",
  "status": "completed",
  "tx_hash": "a1b2c3d4e5f6...",
  "created_at": "2026-03-05T12:00:00Z"
}
```

## निकासी सूची

<div>
  `GET /api/v1/account/withdrawals`
</div>

आपका निकासी इतिहास लौटाता है।

```bash theme={null}
curl https://api.tronrental.com/v1/account/withdrawals \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
[
  {
    "id": 56,
    "to_address": "TDestinationAddress...",
    "amount_trx": "100.00",
    "fee_trx": "1.00",
    "status": "completed",
    "tx_hash": "a1b2c3d4e5f6...",
    "created_at": "2026-03-05T12:00:00Z"
  }
]
```

### निकासी स्टेटस

| स्टेटस      | विवरण                         |
| ----------- | ----------------------------- |
| `pending`   | प्रोसेसिंग के लिए कतार में    |
| `completed` | TRX भेजा गया, tx\_hash उपलब्ध |
| `failed`    | विफल, राशि वापस की गई         |
